html,
body {
    height: 100%;
    margin: 0;
}

body {
    font-family: sans-serif;
    height: 100%;
    margin: 0;
    background: #1b1c1b;
    color: #eee;
    display: flex;
    flex-direction: column;
}

nav {
    max-height: 15%;
    background: #232;
    padding: 0.2rem;
    display: flex;
    flex-direction: row;
    text-align: center;
    align-items: center;
}

nav img {
    height: 6rem;
    padding: 0.5rem;
    object-fit: contain;
    display: block;
    filter: invert(1);
}

nav .navbar-brand {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: inherit;
}

nav div {
    margin-left: auto;
    text-align: right;
}

nav a {
    color: #0af;
    font-size: 1.1rem;
    margin-right: 1rem;
    text-decoration: none;
}


nav summary {
    font-size: 1.1rem;
}
nav a:hover {
    text-decoration: underline;
}

nav details a{
    max-height: 100%;
    margin-right: 0;
    overflow: scroll;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}



main {
    padding: 2rem;
    flex: 1;
}
h1,
h2 {
    text-align: center;
}

footer {
    background: #222;
    padding: 0.1rem;
    text-align: center;
    font-size: 0.8rem;
    border-radius: 1.5rem;
    gap: 1rem;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.4);
    margin-left: 1rem;
    margin-right: 1rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.explain {
    padding-top: 1rem;
}

.explain a {
    text-decoration: none;
    color: inherit;
}
.explain a:hover {
    text-decoration: underline;
    color: inherit;
}

.projects-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    /*grid-template: repeat(auto-fit, minmax(250, 1fr));*/
    /*grid-template: "a a";*/
    gap: 1.5rem;
    margin-top: 2rem;
}

.project-tile {
    background: #1e1f1ecf;
    max-width: 45%;
    min-width: 45%;
    padding: 1.5rem;
    border-radius: 2rem;
    text-decoration: none;
    text-align: center;
    color: inherit;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.4);
    transition:
        transform 0.3s ease,
        box-shadow 0.3s ease;
}

.project-tile h3 {
    margin-top: 0;
}

.project-tile:hover {
    transition: 0.3s;
    color: #ddd;
    background: #212221df;
    transform: translateY(-5px);
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.6);
}

.back {
    transition: 0.3s;
    text-decoration: none;
    color: inherit;
}
.back:hover {
    transition: 0.3s;
    text-decoration: underline;
    color: inherit;
}

